WIKI LWS - L'hébergeur Web accessible à tous WIKI LWS - L'hébergeur Web accessible à tous

Les versions de PHP disponibles

  • PHP 5.3
  • PHP 5.4
  • PHP 5.5

Par défaut, la version PHP 5.3 est activée. Cependant, vous avez possibilité de changer la version PHP depuis votre espace client.
Sur les hébergements d'ancienne génération, vous ne pouvez pas choisir la version de PHP. Veuillez contacter notre service technique si vous désirez un hébergement supportant plusieurs versions de PHP.
Vous pouvez savoir si votre hébergement supporte plusieurs versions de PHP en vous rendant la partie d'administration de votre domaine dans notre espace client. Si en haut de la page "Configuration PHP", vous avez un encadré "Version de Php", vous êtes sur un hébergement supportant plusieurs versions de PHP.

Activer une version de PHP

Sélection de la version PHP

Vous pouvez choisir une version de PHP pour l'ensemble de votre site web, pour un dossier particulier et même quelques fichiers .php .

Sélection de la version PHP par défaut

Cette version de PHP sera la version par défaut pour l'ensemble de votre site web.

  • Vous pouvez la sélectionner en vous rendant la partie d'administration de votre domaine dans notre espace client.
  • Cliquez ensuite sur l'icône "Configuration PHP" de l'encadré "5- Outils web, scripts, bases".
  • Dans l'encadré "Version de Php", sélectionnez la version de PHP par défaut désirée.
  • Cliquez sur le bouton "Valider". La nouvelle version de PHP par défaut sera active dans les 24 heures.

Sélection de la version PHP pour un dossier

Vous pouvez modifier la version de PHP pour un dossier et l'ensemble de ses sous-dossiers en plaçant une commande dans le fichier .htaccess de ce dossier.

  • Commande pour utiliser la version 5.3 de php
    .htaccess
    AddHandler php53 .php
  • Commande pour utiliser la version 5.4 de php
    .htaccess
    AddHandler php54 .php
  • Commande pour utiliser la version 5.5 de php
    .htaccess
    AddHandler php55 .php
  • Veuillez tout d'abord vérifier que votre hébergement supporte les versions multiples de php.
  • Vérifiez également que la version choisie est bien active pour votre hébergement.
  • Si vous utilisez cette commande dans le fichier .htaccess à la racine de votre hébergement, la version choisie sera utilisée comme version PHP par défaut pour votre hébergement.
  • Si vous utilisez une version qui n'est pas active pour votre hébergement, la version de PHP par défaut sera utilisée.
  • Si vous entrez une commande incorrecte ( comme AddHandler php75 .php ), les fichiers .php seront considérés comme de simples fichiers texte.

Sélection de la version PHP pour certains fichiers

Vous pouvez modifier la version de PHP pour quelques fichiers .php. Pour cela, il suffit de renommer votre fichier .php avec l'une des extensions suivantes selon la version désirée de PHP :

.php53 
.php54 
.php55

Il faudra de plus, appeler ce fichier avec l'extension correspondante. par exemple :

http://domaine.com/monscript.php54

Cette page d'aide vous a-t-elle été utile ?

Aidez-nous à améliorer notre aide en notant cette page :

 stars  5 votes (Details)
comment_selectionner_une_version_de_php_sur_mon_hebergement_web_mutualise.txt · Dernière modification: 2014/01/23 14:33 par vincent
 
Sauf mention contraire, le contenu de ce wiki est placé sous la licence suivante : CC Attribution-Noncommercial-Share Alike 3.0 Unported
Recent changes RSS feed Donate Powered by PHP Valid XHTML 1.0 Valid CSS Driven by DokuWiki